Resource Center/Network Service/Network Service Operations/IPsec Operations
PUTIPsec OperationsSince 0.6SynchronousAuth Required
UpdateIPsecConnection
UpdateIPsecConnection
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateipsecconnectionObjectRequiredupdateipsecconnection request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
deleteModeStringOptional.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/ipsec/{uuid}
/zstack/v1/ipsec/{uuid}
Request Example
curl -X PUT 'http://{host}/zstack/v1/ipsec/{uuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateipsecconnection":{"name":"<name>","description":"<description>","deleteMode":"<deleteMode>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "Test-IPSec", "description": "desc info ", "peerAddress": "100.64.10.10", "authKey": "auth", "vipUuid": "7c94b57b6daa38c9b6862f11101e9612", "ikeLifeTime": 0.0, "lifeTime": 0.0, "peerCidrs": [ { "uuid": "4796b27ab42d3baba893ea3d34c723e4", "cidr": "192.168.100.0/24", "connectionUuid": "2ce0380d4a5e3aed95b1511682926aeb", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ], "l3NetworkRefs": [ {} ] } }Change History
This API has no change history records yet.
